1. Shipping Routes
Salla Platform Docs
  • Getting Started
  • Migration to the New API
  • Publish App
  • Change Log
  • Shipping Management
    • App Cycle
    • Test App
    • Create App
    • Setup App
  • Order Fulfilment
    • App Cycle
    • Setup App
    • Test App
    • Create App
  • Salla AWB
    • Getting Started
    • Create Shipping App
    • Setup Shipping App
    • App Functions
      • Shipment Creating
      • Shipment Cancelling
    • Generating AWB
      • Shipment AWB
      • Shipment Return AWB
      • Shipment Cancelled AWB
  • APIs
    • Shipments
      • Create Shipment
        POST
      • List Shipments
        GET
      • Update Shipment Details
        PUT
      • Shipment Details
        GET
      • Cancel Shipments
        POST
      • Return Shipments
        POST
      • Shipment Tracking
        GET
    • Shipping Companies
      • List Shipping Companies
        GET
      • Shipping Company Details
        GET
    • Shipping Routes
      • Routes List
        GET
      • Route Details
        GET
      • Create Route
        POST
      • Update Route
        PATCH
      • Default Route
        PATCH
      • Delete Route
        DELETE
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Shipping Routes

Routes List

Production
https://api.salla.dev/admin/v2
Production
https://api.salla.dev/admin/v2
GET
https://api.salla.dev/admin/v2
/shipping/routes
Last modified:2025-07-29 19:13:05
This endpoint allows you to fetch all shipping routes configured for the store.
Each route includes its type (e.g., normal, auto, branded, default), status, priority, and combination strategy.
These routes control how shipping options appear to customers at checkout.
This endpoint is accessable only for allowed applications.
Scopes
shipping.read- Shipping Read

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.salla.dev/admin/v2/shipping/routes?name=Branded%20Route' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "success": true,
    "data": [
        {
            "id": 2087831307,
            "name": "Branded Route",
            "type": "branded",
            "status": true,
            "priority": 1,
            "strategy": "default",
            "combinable": true
        },
        {
            "id": 580171786,
            "name": "Selected Route",
            "type": "default",
            "status": true,
            "priority": 2,
            "strategy": "ratio",
            "combinable": false
        },
        {
            "id": 298476048,
            "name": "Auto assign route",
            "type": "auto",
            "status": true,
            "priority": 3,
            "strategy": "quota",
            "combinable": false
        }
    ],
    "pagination": {
        "count": 3,
        "total": 3,
        "perPage": 15,
        "currentPage": 1,
        "totalPages": 1,
        "links": {}
    }
}
🟠401Unauthorized
🟠404Record Not Found
Modified at 2025-07-29 19:13:05
Previous
Shipping Company Details
Next
Route Details